summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--tests/auto/client/client/client.pro2
-rwxr-xr-xtests/auto/client/client/run-with-all-shells.sh6
2 files changed, 8 insertions, 0 deletions
diff --git a/tests/auto/client/client/client.pro b/tests/auto/client/client/client.pro
index edf80bb9b..f4ced252c 100644
--- a/tests/auto/client/client/client.pro
+++ b/tests/auto/client/client/client.pro
@@ -2,3 +2,5 @@ include (../shared/shared.pri)
TARGET = tst_client
SOURCES += tst_client.cpp
+
+check.commands = $(TESTRUNNER) $${PWD}/run-with-all-shells.sh $(TESTARGS)
diff --git a/tests/auto/client/client/run-with-all-shells.sh b/tests/auto/client/client/run-with-all-shells.sh
new file mode 100755
index 000000000..41f383900
--- /dev/null
+++ b/tests/auto/client/client/run-with-all-shells.sh
@@ -0,0 +1,6 @@
+#!/usr/bin/env bash
+set -ex
+$@
+env QT_WAYLAND_SHELL_INTEGRATION=wl-shell $@
+env QT_WAYLAND_SHELL_INTEGRATION=ivi-shell $@
+env QT_WAYLAND_SHELL_INTEGRATION=xdg-shell-v6 $@